//==============================================//
// Created by Dupre					//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class BagOfBlessing : Bag
   { 
//   public override int GumpID{ get{ return 0x43; } }

      [Constructable] 
      public BagOfBlessing()
      { 
  Name = "a Bag of Blessing";
  Movable = true;
  Hue = 1152;
  LootType = LootType.Blessed;
     } 

		public override bool TryDropItem( Mobile from, Item dropped, bool sendFullMessage )
		{
			if (dropped.LootType != LootType.Blessed)
			{
			DropItem( dropped );
			from.SendMessage("the item becomes Blessed");
			dropped.LootType = LootType.Blessed;
			return true;
			}
			else
			{
			from.SendMessage("the item becomes UnBlessed");
			dropped.LootType = LootType.Regular;
			DropItem( dropped );
			return true;
			}
		}

		public override bool OnDragDropInto( Mobile from, Item item, Point3D p )
		{
			if (item.LootType == LootType.Regular)
			{
			AddItem( item );
			from.SendMessage("The item becomes Blessed");
			item.LootType = LootType.Blessed;
			return true;
			}
			else if (item.LootType == LootType.Blessed)
			{
			from.SendMessage("The item becomes UnBlessed");
			item.LootType = LootType.Regular;
			AddItem( item );
			return true;
			}
			else if (item.LootType == LootType.Cursed)
			{
			from.SendMessage("I refuse to work with Cursed items");
			AddItem( item );
			return true;
			}
			else
			{
			from.SendMessage("I refuse to work with Newbie items");
			AddItem( item );
			return true;
			}
		}


public BagOfBlessing( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
     }

}}
