//==============================================//
// Created by Dupre								//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class VirtueSash : BodySash
	{
		[Constructable]
		public VirtueSash()
		{
		ItemID = 5441;
		Hue = 1153;
		Name = "Sash of Virtue";
		}

		public VirtueSash( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class EvilSash : BodySash
	{
		[Constructable]
		public EvilSash()
		{
		ItemID = 5441;
		Hue = 1;
		Name = "Sash of Evil";
		}

		public EvilSash( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}

