//==============================================//
// Created by Dupre					//
//==============================================//
using System;
using Server;

namespace Server.Items
{
	public class EvilLance : Lance
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public EvilLance()
		{
			Name = "an Evil Lance";
			Hue = 1;
			Attributes.SpellChanneling = 1;
			Attributes.WeaponSpeed = 50;
			Attributes.WeaponDamage = 50;
			Attributes.Luck = 1500;
			Attributes.RegenHits = 2;
			Attributes.DefendChance = 50;
			Attributes.AttackChance = 350;
			WeaponAttributes.UseBestSkill = 1;
		}

		public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{
			fire = 20;
			cold = 20;
			nrgy = 20;
			phys = 20;
			pois = 20;
		}
		public override bool OnEquip(Mobile from) 
	      { 
			if (from.Map == Map.Felucca)
			{
			UnMorph(from);
			}
			else
			{
			return false;
			}
		         return base.OnEquip(from); 
		}

	      public override void OnRemoved( object parent) 
	      { 
	        this.Hue = 1153;
 		    base.OnRemoved(parent); 
      	  }

		public bool UnMorph(Mobile from)
		{

		if (from.FindItemOnLayer(Layer.OuterTorso) != null && from.FindItemOnLayer(Layer.OuterTorso).Name == "an Evil Shroud of Invisibility")
			{
			this.Hue = 19999;
			}
			else
			{
			this.Hue = 1153;
			}
		return true;
		}
		
		public EvilLance( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
