//==============================================//
// Created by Dupre								//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class BlueArrowMany : Item
	{
		[Constructable]
		public BlueArrowMany() : base( 3905 )
		{
		ItemID = 3905;
		Hue = 1152;
		Stackable = false;
		Name = "a Stack of Ranger's Arrows";
		Weight = 25.0;
		}

		public BlueArrowMany( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueArrow5 : Item
	{
		[Constructable]
		public BlueArrow5() : base( 3904 )
		{
		ItemID = 3904;
		Hue = 1152;
		Stackable = false;
		Name = "Ranger's Arrows";
		Weight = 5.0;
		}

		public BlueArrow5( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueArrowStraight : Item
	{
		[Constructable]
		public BlueArrowStraight() : base( 3906 )
		{
		ItemID = 3906;
		Hue = 1152;
		Stackable = false;
		Name = "a Ranger's Arrow";
		Weight = 1.0;
		}

		public BlueArrowStraight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}

