//==============================================//
// Created by Dupre								//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class BlueLogSE : Item
	{
		[Constructable]
		public BlueLogSE() : base( 7133 )
		{
		ItemID = 7133;
		Hue = 1173;
		Stackable = false;
		Name = "a Magical Log";
		Weight = 5.0;
		}

		public BlueLogSE( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueLogSW : Item
	{
		[Constructable]
		public BlueLogSW() : base( 7136 )
		{
		ItemID = 7136;
		Hue = 1173;
		Stackable = false;
		Name = "a Magical Log";
		Weight = 5.0;
		}

		public BlueLogSW( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueLogsSE : Item
	{
		[Constructable]
		public BlueLogsSE() : base( 7134 )
		{
		ItemID = 7134;
		Hue = 1173;
		Stackable = false;
		Name = "Magical Logs";
		Weight = 15.0;
		}

		public BlueLogsSE( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueLogsSW : Item
	{
		[Constructable]
		public BlueLogsSW() : base( 7137 )
		{
		ItemID = 7137;
		Hue = 1173;
		Stackable = false;
		Name = "Magical Logs";
		Weight = 15.0;
		}

		public BlueLogsSW( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueLogsMany1 : Item
	{
		[Constructable]
		public BlueLogsMany1() : base( 7135 )
		{
		ItemID = 7135;
		Hue = 1173;
		Stackable = false;
		Name = "a Stack of Magical Logs";
		Weight = 75.0;
		}

		public BlueLogsMany1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class BlueLogsMany2 : Item
	{
		[Constructable]
		public BlueLogsMany2() : base( 7138 )
		{
		ItemID = 7138;
		Hue = 1173;
		Stackable = false;
		Name = "a Stack of Magical Logs";
		Weight = 75.0;
		}

		public BlueLogsMany2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}
