//==============================================//
// Created by Dupre								//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{   
   public class MagicOrb : Item
	{
		[Constructable]
		public MagicOrb() : base( )
		{
		int randy = Utility.Random(8);
				switch (randy)
				{
					case 0:
						ItemID = 6255;
						break;
					
					case 1:
						ItemID = 6249;
						break;
					
					case 2:
						ItemID = 6250;
						break;
					
					case 3:
						ItemID = 6251;
						break;
					
					case 4:
						ItemID = 6252;
						break;
					
					case 5:
						ItemID = 6253;
						break;
					
					case 6:
						ItemID = 6254;
						break;
					
					case 7:
						ItemID = 6256;
						break;
				}
		Stackable = false;
		Name = "a Magical Orb";
		Weight = 25.0;
		Movable = true;
		}
		
		public override void OnDoubleClick( Mobile m )
			{
				int rand = Utility.Random(3);
				switch (rand)
				{
					case 0:
						m.SendMessage("A Mystical power has granted you a gift.");
						m.StatCap = m.StatCap + (m.Str/10);
						m.Dex = (m.Dex-(m.Dex/5));
						m.Str = (m.Str+(m.Str/10));
						this.Delete();
						break;
					
					case 1:
						m.SendMessage("A Mystical power has granted you a gift.");
						m.StatCap = m.StatCap + (m.Dex/10);
						m.Str = (m.Str-(m.Str/5));
						m.Dex = (m.Dex+(m.Dex/10));
						this.Delete();
						break;
					
					case 2:
						m.SendMessage("A Mystical power has granted you a gift.");
						m.StatCap = m.StatCap + (m.Int/10);
						m.Dex = (m.Dex-(m.Dex/10));
						m.Str = (m.Str-(m.Str/10));
						m.Int = (m.Int+(m.Int/10));
						this.Delete();
						break;
				}
			}
		
		public MagicOrb( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
