//==============================================//
// Created by Dupre								//
//==============================================//
using System;
using System.Collections;
using Server;
using Server.Targeting;
using Server.Mobiles;

namespace Server.Items
{
	public class RewardWhiteHelm : PlateHelm
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		public static int minresist = 0;
		public static int maxresist = 10;
		
		[Constructable]
		public RewardWhiteHelm()
		{
			Name = "White Knights Armour";
			Hue = 1153;
			
			ResistStrength();
		}
		
		public void ResistStrength()
		{
		int prand = Utility.Random(minresist,(maxresist-2));
		int frand = Utility.Random(minresist,(maxresist-1));
		int porand = Utility.Random(minresist,(maxresist-1));
		int crand = Utility.Random(minresist,maxresist);
		int erand = Utility.Random(minresist,maxresist);
		
		this.PhysicalBonus = prand;
		this.FireBonus = frand;
		this.PoisonBonus = porand;
		this.ColdBonus = crand;
		this.EnergyBonus = erand;
		}
		
		public override bool OnEquip(Mobile from) 
	      { 
			if (from.Map == Map.Felucca)
			{
			UnMorph(from);
			}
			else
			{
			return false;
			}
		         return base.OnEquip(from); 
		}

	      public override void OnRemoved( object parent) 
	      { 
	        this.Hue = 1153;
 		    base.OnRemoved(parent); 
      	  }

		public bool UnMorph(Mobile from)
		{

		if (from.FindItemOnLayer(Layer.OuterTorso) != null && from.FindItemOnLayer(Layer.OuterTorso).Name == "a Virtuous Shroud of Invisibility")
			{
			this.Hue = 19999;
			}
			else
			{
			this.Hue = 1153;
			}
		return true;
		}
		
		public RewardWhiteHelm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
