using System;
using Server.Network;
using Server.Mobiles;

namespace Server.Items
{
	public class MiniSphinx : Item
	{
		[Constructable]
		public MiniSphinx()
		{
			Name = "an Ancient Sphinx";
			ItemID = 9752;
			Hue = 1159;
			LootType = LootType.Cursed;
		}
	
		public MiniSphinx( Serial serial ) : base( serial )
		{
		}
		
		public override void OnDoubleClick( Mobile m )
			{
				int rand = Utility.Random(8);
				switch (rand)
				{
					case 0:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("Do you believe i will let you live?");
						break;
					
					case 1:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("I am in control now...");
						break;
					
					case 2:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("My new master was poor in battle");
						break;
					
					case 3:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("I wonder if any more of my kin have survived the ages");
						break;
				
					case 4:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("After all these centuries, im damn hungry!");
						break;
					
					case 5:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("Im going to kill you all!!!");
						break;
				
					case 6:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("You may imprison my body, but my mind is free to wander...");
						break;
				
					case 7:
						m.SendMessage("The Spinx takes control of your mind");
						m.Say("YOU SHALL PAY FOR IMPRISONING ME!");
						m.Map = Map.Ilshenar;
						m.Location = new Point3D(2114,1029,-28);
						break;
				}
			}
	
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

	}
}
